KDE 4.5 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.nepomuk import *`

## Detailed Description

## Class Index

A | NegationTerm (Nepomuk.Query) | ResourceTerm (Nepomuk.Query)
AndTerm (Nepomuk.Query) | O | ResourceTypeTerm (Nepomuk.Query)
C | Ontology (Nepomuk.Types) | Result (Nepomuk.Query)
Class (Nepomuk.Types) | OptionalTerm (Nepomuk.Query) | S
ComparisonTerm (Nepomuk.Query) | OrTerm (Nepomuk.Query) | Service (Nepomuk)
E | P | SimpleTerm (Nepomuk.Query)
Entity (Nepomuk.Types) | Property (Nepomuk.Types) | T
F | Q | Tag (Nepomuk)
FileQuery (Nepomuk.Query) | Query (Nepomuk.Query) | TagCloud (Nepomuk)
G | QueryParser (Nepomuk.Query) | KTagCloudWidget
GroupTerm (Nepomuk.Query) | QueryServiceClient (Nepomuk.Query) | KTagDisplayWidget
L | R | TagWidget (Nepomuk)
Literal (Nepomuk.Types) | KRatingPainter | Term (Nepomuk.Query)
LiteralTerm (Nepomuk.Query) | KRatingWidget | Thing (Nepomuk)
M | RequestProperty (Nepomuk.Query.Query) | V
MassUpdateJob (Nepomuk) | Resource (Nepomuk) | Variant (Nepomuk)
N | ResourceManager (Nepomuk) |

## Functions

Nepomuk::Query::TermPrivate | QSharedDataPointer<Nepomuk::Query::TermPrivate>::clone ()
QDebug | operator << (QDebug a0, Nepomuk.Query.Query a1)
QDebug | operator << (QDebug a0, Nepomuk.Query.Term a1)
QDebug | operator << (QDebug dbg, Nepomuk.Variant a1)

## Function Documentation

Nepomuk::Query::TermPrivate QSharedDataPointer<Nepomuk::Query::TermPrivate>::clone | ( |  | ) |

QDebug operator << | ( | QDebug | a0,
|  | Nepomuk.Query.Query | a1
| ) |  |  |

QDebug operator << | ( | QDebug | a0,
|  | Nepomuk.Query.Term | a1
| ) |  |  |

QDebug operator << | ( | QDebug | dbg,
|  | Nepomuk.Variant | a1
| ) |  |  |